diff -Naurp LFS_orig/conditional.ent LFS-pacman/conditional.ent
--- LFS_orig/conditional.ent	1969-12-31 18:00:00.000000000 -0600
+++ LFS-pacman/conditional.ent	2022-06-16 20:05:13.914522426 -0500
@@ -0,0 +1,2 @@
+<!ENTITY % sysv    "INCLUDE">
+<!ENTITY % systemd "IGNORE ">
diff -Naurp LFS_orig/general.ent LFS-pacman/general.ent
--- LFS_orig/general.ent	2022-06-16 20:04:57.561188485 -0500
+++ LFS-pacman/general.ent	2022-06-16 20:05:13.914522426 -0500
@@ -105,6 +105,7 @@
 
 <!ENTITY gnu             "https://ftp.gnu.org/gnu/">
 <!ENTITY gnu-software    "https://www.gnu.org/software/">
+<!ENTITY gnupg-http      "https://www.gnupg.org/ftp/gcrypt">
 <!ENTITY alpha-gnu       "https://alpha.gnu.org/gnu/">
 <!ENTITY kernel          "https://www.kernel.org/pub/">
 <!ENTITY sourceforge     "https://prdownloads.sourceforge.net/">
@@ -120,3 +121,15 @@
 
 <!ENTITY % patches-entities SYSTEM "patches.ent">
 %patches-entities;
+
+<!-- repetitive blurb for building a pacman package -->
+<!ENTITY pacman-build-add "<para>Prepare the build directory for the pacman user
+                          and build the package:</para>
+
+<screen><userinput>chown -R root:pacman .
+chmod 2775 .
+chmod 664 PKGBUILD
+su pacman -c 'makepkg -L --nodeps'</userinput></screen>
+
+<para>Add the newly created package to the central package repository:</para>">
+
diff -Naurp LFS_orig/Makefile LFS-pacman/Makefile
--- LFS_orig/Makefile	2022-06-16 20:04:57.554521819 -0500
+++ LFS-pacman/Makefile	2022-06-16 20:05:13.907855759 -0500
@@ -23,7 +23,7 @@ ifneq ($(REV), sysv)
 endif
 
 ifeq ($(REV), sysv)
-  BASEDIR         ?= ~/lfs-book
+  BASEDIR         ?= ~/public_html/lfs-book
   PDF_OUTPUT      ?= LFS-BOOK.pdf
   NOCHUNKS_OUTPUT ?= LFS-BOOK.html
   DUMPDIR         ?= ~/cross-lfs-commands
diff -Naurp LFS_orig/packages.ent LFS-pacman/packages.ent
--- LFS_orig/packages.ent	2022-06-16 20:04:57.577855153 -0500
+++ LFS-pacman/packages.ent	2022-06-16 20:05:13.914522426 -0500
@@ -29,6 +29,14 @@
 <!ENTITY attr-fin-du "4.1 MB">
 <!ENTITY attr-fin-sbu "less than 0.1 SBU">
 
+<!ENTITY asciidoc-version "9.0.2">
+<!ENTITY asciidoc-size "1,229 KB">
+<!ENTITY asciidoc-url "https://github.com/asciidoc/asciidoc-py3/releases/download/&asciidoc-version;/asciidoc-&asciidoc-version;.tar.gz">
+<!ENTITY asciidoc-md5 "c93a0cad453540eb94407909e3c673de">
+<!ENTITY asciidoc-home "https://github.com/asciidoc/">
+<!ENTITY asciidoc-fin-du "5.0 MB">
+<!ENTITY asciidoc-fin-sbu "0.1 SBU">
+
 <!ENTITY autoconf-version "2.71">
 <!ENTITY autoconf-size "1,263 KB">
 <!ENTITY autoconf-url "&gnu;autoconf/autoconf-&autoconf-version;.tar.xz">
@@ -114,6 +122,32 @@
 <!ENTITY coreutils-fin-du "153 MB">
 <!ENTITY coreutils-fin-sbu "2.6 SBU">
 
+<!ENTITY cracklib-version "2.97">
+<!ENTITY cracklib-size "592 KB">
+<!ENTITY cracklib-url "https://github.com/cracklib/cracklib/releases/download/v&cracklib-version;/cracklib-&cracklib-version;.tar.bz2">
+<!ENTITY cracklib-md5 "0d68de25332cee5660850528a385427f">
+<!ENTITY cracklib-home "https://github.com/cracklib/">
+<!ENTITY cracklib-fin-du "4,200 KB">
+<!ENTITY cracklib-fin-sbu "less than 0.1 SBU">
+<!ENTITY cracklib-words-url "https://github.com/cracklib/cracklib/releases/download/v&cracklib-version;/cracklib-words-&cracklib-version;.bz2">
+<!ENTITY cracklib-words-md5 "94e9963e4786294f7fb0f2efd7618551">
+
+<!ENTITY curl-version "7.83.0">
+<!ENTITY curl-size "2.4 MB">
+<!ENTITY curl-url "https://curl.haxx.se/download/curl-&curl-version;.tar.xz">
+<!ENTITY curl-md5 "b7924acdea33dedc3150a044789ed0bb">
+<!ENTITY curl-home "https://curl.haxx.se/">
+<!ENTITY curl-fin-du "135 MB">
+<!ENTITY curl-fin-sbu "0.3 SBU">
+
+<!ENTITY db-version "5.3.28">
+<!ENTITY db-size "34,000 KB">
+<!ENTITY db-url "https://anduin.linuxfromscratch.org/BLFS/bdb/db-5.3.28.tar.gz">
+<!ENTITY db-md5 "b99454564d5b4479750567031d66fe24">
+<!ENTITY db-home " retired ">
+<!ENTITY db-fin-du "265,000 KB">
+<!ENTITY db-fin-sbu "0.6 SBU">
+
 <!ENTITY dbus-version "1.14.0">
 <!ENTITY dbus-size "1,332 KB">
 <!ENTITY dbus-url "https://dbus.freedesktop.org/releases/dbus/dbus-&dbus-version;.tar.xz">
@@ -140,6 +174,22 @@
 <!ENTITY diffutils-fin-du "34 MB">
 <!ENTITY diffutils-fin-sbu "0.6 SBU">
 
+<!ENTITY docbook-45-xml-version "4.5">
+<!ENTITY docbook-45-xml-size "96 KB">
+<!ENTITY docbook-45-xml-url "http://www.docbook.org/xml/&docbook-45-xml-version;/docbook-xml-&docbook-45-xml-version;.zip">
+<!ENTITY docbook-45-xml-md5 "03083e288e87a7e829e437358da7ef9e">
+<!ENTITY docbook-45-xml-home "http://www.docbook.org/">
+<!ENTITY docbook-45-xml-fin-du "1.2 MB">
+<!ENTITY docbook-45-xml-fin-sbu "0.1 SBU">
+
+<!ENTITY docbook-xsl-version "1.79.2">
+<!ENTITY docbook-xsl-size "22,528 KB">
+<!ENTITY docbook-xsl-url "https://github.com/docbook/xslt10-stylesheets/releases/download/release/&docbook-xsl-version;/docbook-xsl-nons-&docbook-xsl-version;.tar.bz2">
+<!ENTITY docbook-xsl-md5 "2666d1488d6ced1551d15f31d7ed8c38">
+<!ENTITY docbook-xsl-home "https://github.com/docbook/">
+<!ENTITY docbook-xsl-fin-du "58 MB">
+<!ENTITY docbook-xsl-fin-sbu "0.1 SBU">
+
 <!ENTITY e2fsprogs-version "1.46.5">
 <!ENTITY e2fsprogs-size "9,307 KB">
 <!ENTITY e2fsprogs-url "https://downloads.sourceforge.net/project/e2fsprogs/e2fsprogs/v&e2fsprogs-version;/e2fsprogs-&e2fsprogs-version;.tar.gz">
@@ -179,6 +229,14 @@
 <!ENTITY expect-tmp-du "3.9 MB">
 <!ENTITY expect-tmp-sbu "0.2 SBU">
 
+<!ENTITY fakeroot-version "1.28">
+<!ENTITY fakeroot-size "536 KB">
+<!ENTITY fakeroot-url "https://www.linuxfromscratch.org/~dj/fakeroot-&fakeroot-version;.tar.gz">
+<!ENTITY fakeroot-md5 "75663fa4d0d1eedab0b951bb977bc12f">
+<!ENTITY fakeroot-home "https://www.debian.org/">
+<!ENTITY fakeroot-fin-du "4.5 MB">
+<!ENTITY fakeroot-fin-sbu "0.2 SBU">
+
 <!ENTITY file-version "5.41">
 <!ENTITY file-size "1040 KB">
 <!ENTITY file-url "https://astron.com/pub/file/file-&file-version;.tar.gz">
@@ -276,6 +334,14 @@
 <!ENTITY gmp-fin-du "52 MB">
 <!ENTITY gmp-fin-sbu "1.0 SBU">
 
+<!ENTITY gnupg-version "2.3.6">
+<!ENTITY gnupg-size "7.3 MB">
+<!ENTITY gnupg-url "https://www.gnupg.org/ftp/gcrypt/gnupg/gnupg-&gnupg-version;.tar.bz2">
+<!ENTITY gnupg-md5 "eabfbffae0474c8c3f19fca42a9d7d1e">
+<!ENTITY gnupg-home "https://www.gnu.org/gnupg/">
+<!ENTITY gnupg-fin-du "124 MB">
+<!ENTITY gnupg-fin-sbu "0.4 SBU">
+
 <!ENTITY gperf-version "3.1">
 <!ENTITY gperf-size "1,188 KB">
 <!ENTITY gperf-url "&gnu;gperf/gperf-&gperf-version;.tar.gz">
@@ -284,6 +350,14 @@
 <!ENTITY gperf-fin-du "6.0 MB">
 <!ENTITY gperf-fin-sbu "less than 0.1 SBU">
 
+<!ENTITY gpgme-version "1.17.1">
+<!ENTITY gpgme-size "1.7 MB">
+<!ENTITY gpgme-url "https://www.gnupg.org/ftp/gcrypt/gpgme/gpgme-&gpgme-version;.tar.bz2">
+<!ENTITY gpgme-md5 "4d3c7699e1cdd4095d103f7a6833ae3a">
+<!ENTITY gpgme-home "https://www.gnupg.org/gcrypt/gpgme/">
+<!ENTITY gpgme-fin-du "262 MB">
+<!ENTITY gpgme-fin-sbu "0.6 SBU">
+
 <!ENTITY grep-version "3.7">
 <!ENTITY grep-size "1,603 KB">
 <!ENTITY grep-url "&gnu;grep/grep-&grep-version;.tar.xz">
@@ -353,6 +427,12 @@
 <!ENTITY iproute2-fin-du "15 MB">
 <!ENTITY iproute2-fin-sbu "0.2 SBU">
 
+<!ENTITY isl-version "0.24">
+<!ENTITY isl-size "2.1 MB">
+<!ENTITY isl-url "https://gcc.gnu.org/pub/gcc/infrastructure/isl-&isl-version;.tar.bz2">
+<!ENTITY isl-md5 "dd2f7b78e118c25bd96134a52aae7f4d">
+<!ENTITY isl-home "http://isl.gforge.inria.fr/">
+
 <!ENTITY jinja2-version "3.1.2">
 <!ENTITY jinja2-size "262 KB">
 <!ENTITY jinja2-url "https://files.pythonhosted.org/packages/source/J/Jinja2/Jinja2-&jinja2-version;.tar.gz">
@@ -393,6 +473,24 @@
 <!ENTITY lfs-bootscripts-cfg-du "BOOTSCRIPTS-INSTALL-KB KB">
 <!ENTITY lfs-bootscripts-cfg-sbu "less than 0.1 SBU">
 
+<!ENTITY libarchive-version "3.6.1">
+<!ENTITY libarchive-size "5.0 MB">
+<!ENTITY libarchive-url "https://github.com/libarchive/libarchive/releases/download/v&libarchive-version;/libarchive-&libarchive-version;.tar.xz">
+<!ENTITY libarchive-md5 "9465f7995649c9ea84854a7fd8c76f30">
+<!ENTITY libarchive-home "https://github.com/libarchive/">
+<!ENTITY libarchive-fin-du "41 MB">
+<!ENTITY libarchive-fin-sbu "0.3 SBU">
+
+<!ENTITY libassuan-version "2.5.5">
+<!ENTITY libassuan-size "996 KB">
+<!ENTITY libassuan-url "&gnupg-http;/libassuan/libassuan-&libassuan-version;.tar.bz2">
+<!ENTITY libassuan-md5 "7194453152bb67e3d45da698762b5d6f">
+<!ENTITY libassuan-home "&gnupg-http;">
+<!ENTITY libassuan-tmp-du "7.4 MB">
+<!ENTITY libassuan-tmp-sbu "0.1 SBU">
+<!ENTITY libassuan-fin-du "7.4 MB">
+<!ENTITY libassuan-fin-sbu "0.1 SBU">
+
 <!ENTITY libcap-version "2.64">
 <!ENTITY libcap-size "172 KB">
 <!ENTITY libcap-url "&kernel;linux/libs/security/linux-privs/libcap2/libcap-&libcap-version;.tar.xz">
@@ -409,6 +507,40 @@
 <!ENTITY libffi-fin-du "10 MB">
 <!ENTITY libffi-fin-sbu "1.9 SBU">
 
+<!ENTITY libgcrypt-version "1.10.1">
+<!ENTITY libgcrypt-size "3,600 KB">
+<!ENTITY libgcrypt-url "https://www.gnupg.org/ftp/gcrypt/libgcrypt/libgcrypt-&libgcrypt-version;.tar.bz2">
+<!ENTITY libgcrypt-md5 "8fadbe1fddafa341dce5ef3869f70e25">
+<!ENTITY libgcrypt-home "https://www.gnupg.org/gcrypt/">
+<!ENTITY libgcrypt-fin-du "130 MB">
+<!ENTITY libgcrypt-fin-sbu "0.4 SBU">
+
+<!ENTITY libgpg-error-version "1.45">
+<!ENTITY libgpg-error-size "996 KB">
+<!ENTITY libgpg-error-url "&gnupg-http;/libgpg-error/libgpg-error-&libgpg-error-version;.tar.bz2">
+<!ENTITY libgpg-error-md5 "3bb15e0c29d3a680db7cef15143615e1">
+<!ENTITY libgpg-error-home "&gnupg-http;">
+<!ENTITY libgpg-error-tmp-du "11 MB">
+<!ENTITY libgpg-error-tmp-sbu "0.1 SBU">
+<!ENTITY libgpg-error-fin-du "11 MB">
+<!ENTITY libgpg-error-fin-sbu "0.1 SBU">
+
+<!ENTITY libksba-version "1.6.0">
+<!ENTITY libksba-size "648 KB">
+<!ENTITY libksba-url "https://www.gnupg.org/ftp/gcrypt/libksba/libksba-&libksba-version;.tar.bz2">
+<!ENTITY libksba-md5 "d333b2e1381068d4f9a328240f062f0f">
+<!ENTITY libksba-home "https://www.gnupg.org/gcrypt/">
+<!ENTITY libksba-fin-du "9.3 MB">
+<!ENTITY libksba-fin-sbu "0.1 SBU">
+
+<!ENTITY libnsl-version "2.0.0">
+<!ENTITY libnsl-size "280 KB">
+<!ENTITY libnsl-url "https://github.com/thkukuk/libnsl/releases/download/v&libnsl-version;/libnsl-&libnsl-version;.tar.xz">
+<!ENTITY libnsl-md5 "1e8c0615071ea13202452304de1eaab9">
+<!ENTITY libnsl-home "https://github.com/thkukuk/libnsl/">
+<!ENTITY libnsl-fin-du "3,200 KB">
+<!ENTITY libnsl-fin-sbu "less than 0.1 SBU">
+
 <!ENTITY libpipeline-version "1.5.6">
 <!ENTITY libpipeline-size "954 KB">
 <!ENTITY libpipeline-url "&savannah;/releases/libpipeline/libpipeline-&libpipeline-version;.tar.gz">
@@ -417,6 +549,30 @@
 <!ENTITY libpipeline-fin-du "9.7 MB">
 <!ENTITY libpipeline-fin-sbu "0.1 SBU">
 
+<!ENTITY libpwquality-version "1.4.4">
+<!ENTITY libpwquality-size "420 KB">
+<!ENTITY libpwquality-url "https://github.com/libpwquality/libpwquality/releases/download/libpwquality-&libpwquality-version;/libpwquality-&libpwquality-version;.tar.bz2">
+<!ENTITY libpwquality-md5 "1fe43f6641dbf1e1766e2a02cf68a9c3">
+<!ENTITY libpwquality-home "https://github.com/libpwquality/">
+<!ENTITY libpwquality-fin-du "4,100 KB">
+<!ENTITY libpwquality-fin-sbu "less than 0.1 SBU">
+
+<!ENTITY libtasn1-version "4.18.0">
+<!ENTITY libtasn1-size "1,600 KB">
+<!ENTITY libtasn1-url "https://ftp.gnu.org/gnu/libtasn1/libtasn1-&libtasn1-version;.tar.gz">
+<!ENTITY libtasn1-md5 "8203e72a2c0390515410b2ea2c032f04">
+<!ENTITY libtasn1-home "https://www.gnu.org/libtasn/">
+<!ENTITY libtasn1-fin-du "14 MB">
+<!ENTITY libtasn1-fin-sbu "0.2 SBU">
+
+<!ENTITY libtirpc-version "1.3.2">
+<!ENTITY libtirpc-size "504 KB">
+<!ENTITY libtirpc-url "https://downloads.sourceforge.net/libtirpc/libtirpc-&libtirpc-version;.tar.bz2">
+<!ENTITY libtirpc-md5 "cf4ca51f3fc401bea61c702c69171ab0">
+<!ENTITY libtirpc-home "https://downloads.sourceforge.net/libtirpc/">
+<!ENTITY libtirpc-fin-du "6,700 KB">
+<!ENTITY libtirpc-fin-sbu "less than 0.1 SBU">
+
 <!ENTITY libtool-version "2.4.7">
 <!ENTITY libtool-size "996 KB">
 <!ENTITY libtool-url "&gnu;libtool/libtool-&libtool-version;.tar.xz">
@@ -425,6 +581,30 @@
 <!ENTITY libtool-fin-du "43 MB">
 <!ENTITY libtool-fin-sbu "1.5 SBU">
 
+<!ENTITY libusb-version "1.0.26">
+<!ENTITY libusb-size "608 KB">
+<!ENTITY libusb-url "https://github.com//libusb/libusb/releases/download/v&libusb-version;/libusb-&libusb-version;.tar.bz2">
+<!ENTITY libusb-md5 "9c75660dfe1d659387c37b28c91e3160">
+<!ENTITY libusb-home "https://github.com/libusb">
+<!ENTITY libusb-fin-du "5.8 MB">
+<!ENTITY libusb-fin-sbu "0.1 SBU">
+
+<!ENTITY libxml2-version "2.9.14">
+<!ENTITY libxml2-size "3.0 MB">
+<!ENTITY libxml2-url "https://download.gnome.org/sources/libxml2/2.9/libxml2-2.9.14.tar.xz">
+<!ENTITY libxml2-md5 "b7b3029ac6beb32a7925225515f83ca3">
+<!ENTITY libxml2-home "http://xmlsof.org/">
+<!ENTITY libxml2-fin-du "103 MB">
+<!ENTITY libxml2-fin-sbu "0.4 SBU">
+
+<!ENTITY libxslt-version "1.1.35">
+<!ENTITY libxslt-size "1.7 MB">
+<!ENTITY libxslt-url "https://download.gnome.org/sources/libxslt/1.1/libxslt-1.1.35.tar.xz">
+<!ENTITY libxslt-md5 "5b3a634b77effd8a6268c21173575053">
+<!ENTITY libxslt-home "http://xmlsoft.org/">
+<!ENTITY libxslt-fin-du "36 MB">
+<!ENTITY libxslt-fin-sbu "0.2 SBU">
+
 <!ENTITY linux-major-version "5">
 <!ENTITY linux-minor-version "17">
 <!ENTITY linux-patch-version "7">
@@ -442,9 +622,28 @@
 
 <!ENTITY linux-headers-tmp-du "1.2 GB">
 <!ENTITY linux-headers-tmp-sbu "0.1 SBU">
-<!-- Removed in this book
-<!ENTITY linux-headers-fin-du "1 GB">
-<!ENTITY linux-headers-fin-sbu "0.1 SBU">-->
+<!ENTITY linux-headers-fin-du "1.2 GB">
+<!ENTITY linux-headers-fin-sbu "0.1 SBU">
+
+<!ENTITY linux-pam-version "1.5.2">
+<!ENTITY linux-pam-size "966 KB">
+<!ENTITY linux-pam-url "https://github.com/linux-pam/linux-pam/releases/download/v&linux-pam-version;/Linux-PAM-&linux-pam-version;.tar.xz">
+<!ENTITY linux-pam-md5 "895e8adfa14af334f679bbeb28503f66">
+<!ENTITY linux-pam-home "https://github.com/linux-pam/">
+<!ENTITY linux-pam-fin-du "39,000 KB">
+<!ENTITY linux-pam-fin-sbu "0.4 SBU">
+<!ENTITY linux-pam-docs-version "&linux-pam-version;">
+<!ENTITY linux-pam-docs-size "433 KB">
+<!ENTITY linux-pam-docs-url "https://github.com/linux-pam/linux-pam/releases/download/v&linux-pam-version;/Linux-PAM-&linux-pam-version;-docs.tar.xz">
+<!ENTITY linux-pam-docs-md5 "ceb3dc248cb2f49a40904b93cb91db1b">
+
+<!ENTITY lzo-version "2.10">
+<!ENTITY lzo-size "588 KB">
+<!ENTITY lzo-url "http://www.oberhumer.com/opensource/lzo/download/lzo-&lzo-version;.tar.gz">
+<!ENTITY lzo-md5 "39d3f3f9c55c87b1e5d6888e1420f4b5">
+<!ENTITY lzo-home "https://www.oberhumer.com/opensource/lzo/">
+<!ENTITY lzo-fin-du "12 MB">
+<!ENTITY lzo-fin-sbu "0.3 SBU">
 
 <!ENTITY m4-version "1.4.19">
 <!ENTITY m4-size "1,617 KB">
@@ -466,6 +665,14 @@
 <!ENTITY make-fin-du "13 MB">
 <!ENTITY make-fin-sbu "0.5 SBU">
 
+<!ENTITY make-ca-version "1.10">
+<!ENTITY make-ca-size "32 KB">
+<!ENTITY make-ca-url "https://github.com/lfs-book/make-ca/releases/download/v&make-ca-version;/make-ca-&make-ca-version;.tar.xz">
+<!ENTITY make-ca-md5 "74f1ad16d7a086ac76e0424fd4dfe67b">
+<!ENTITY make-ca-home "https://github.com/djlucas/make-ca/">
+<!ENTITY make-ca-fin-du "6.6 MB">
+<!ENTITY make-ca-fin-sbu "0.1 SBU">
+
 <!ENTITY man-db-version "2.10.2">
 <!ENTITY man-db-size "1,860 KB">
 <!ENTITY man-db-url "&savannah;/releases/man-db/man-db-&man-db-version;.tar.xz">
@@ -524,6 +731,14 @@
 <!ENTITY ncurses-fin-du "45 MB">
 <!ENTITY ncurses-fin-sbu "0.4 SBU">
 
+<!ENTITY nettle-version "3.7.3">
+<!ENTITY nettle-size "2.3 MB">
+<!ENTITY nettle-url "https://ftp.gnu.org/gnu/nettle/nettle-&nettle-version;.tar.gz">
+<!ENTITY nettle-md5 "a60273d0fab9c808646fcf5e9edc2e8f">
+<!ENTITY nettle-home "https://www.gnu.org/nettle/">
+<!ENTITY nettle-fin-du "87 MB">
+<!ENTITY nettle-fin-sbu "0.4 SBU">
+
 <!ENTITY ninja-version "1.10.2">
 <!ENTITY ninja-size "209 KB">
 <!ENTITY ninja-url "&github;/ninja-build/ninja/archive/v&ninja-version;/ninja-&ninja-version;.tar.gz">
@@ -532,6 +747,14 @@
 <!ENTITY ninja-fin-du "64 MB">
 <!ENTITY ninja-fin-sbu "0.2 SBU">
 
+<!ENTITY npth-version "1.6">
+<!ENTITY npth-size "296 KB">
+<!ENTITY npth-url "https://www.gnupg.org/ftp/gcrypt/npth/npth-&npth-version;.tar.bz2">
+<!ENTITY npth-md5 "375d1a15ad969f32d25f1a7630929854">
+<!ENTITY npth-home "https://www.gnupg.org/gcrypt/">
+<!ENTITY npth-fin-du "2.6 MB">
+<!ENTITY npth-fin-sbu "0.1 SBU">
+
 <!ENTITY openssl-version "3.0.3">
 <!ENTITY openssl-size "14,706 KB">
 <!ENTITY openssl-url "https://www.openssl.org/source/openssl-&openssl-version;.tar.gz">
@@ -540,6 +763,35 @@
 <!ENTITY openssl-fin-du "474 MB">
 <!ENTITY openssl-fin-sbu "5.4 SBU">
 
+<!ENTITY p11-kit-version "0.24.1">
+<!ENTITY p11-kit-size "820 KB">
+<!ENTITY p11-kit-url "https://github.com/p11-glue/p11-kit/releases/download/&p11-kit-version;/p11-kit-&p11-kit-version;.tar.xz">
+<!ENTITY p11-kit-md5 "67b2539bdca6b4bedaeecc12864d2796">
+<!ENTITY p11-kit-home "https://github.com/p11-glue/p11-kit/">
+<!ENTITY p11-kit-fin-du "44 MB">
+<!ENTITY p11-kit-fin-sbu "0.5 SBU">
+
+<!ENTITY pacman-version "6.0.1">
+<!ENTITY pacman-size "860 KB">
+<!ENTITY pacman-url "https://sources.archlinux.org/other/pacman/pacman-&pacman-version;.tar.xz">
+<!ENTITY pacman-md5 "f71e6f06867749735960d0c1d199d375">
+<!ENTITY pacman-home "https://sources.archlinux.org/">
+<!ENTITY pacman-fin-du "25.9 MB">
+<!ENTITY pacman-fin-sbu "0.1 SBU">
+
+<!ENTITY pacman-contrib-version "1.5.1">
+<!ENTITY pacman-contrib-size "120 KB">
+<!ENTITY pacman-contrib-url "https://www.linuxfromscratch.org/~dj/pacman-contrib-1.5.1.tar.xz">
+<!ENTITY pacman-contrib-md5 "7e2c52e6ea0fd1c87a84685c9c714429">
+<!ENTITY pacman-contrib-home "https://sources.archlinux.org/">
+<!ENTITY pacman-contrib-fin-du "2.3 MB">
+<!ENTITY pacman-contrib-fin-sbu "0.1 SBU">
+
+<!ENTITY pacman-hooks-version "20210910">
+<!ENTITY pacman-hooks-size "3.2 KB">
+<!ENTITY pacman-hooks-url "https://www.linuxfromscratch.org/~dj/pacman-hooks-&pacman-hooks-version;.tar.xz">
+<!ENTITY pacman-hooks-md5 "721fd08ae68cae1a0f0f849436c51145">
+
 <!ENTITY patch-version "2.7.6">
 <!ENTITY patch-size "766 KB">
 <!ENTITY patch-url "&gnu;patch/patch-&patch-version;.tar.xz">
@@ -564,6 +816,14 @@
 <!ENTITY perl-fin-du "226 MB">
 <!ENTITY perl-fin-sbu "9.3 SBU">
 
+<!ENTITY pip-version "22.0.4">
+<!ENTITY pip-size "2,044 KB">
+<!ENTITY pip-url "https://files.pythonhosted.org/packages/33/c9/e2164122d365d8f823213a53970fa3005eb16218edcfc56ca24cb6deba2b/pip-22.0.4.tar.gz">
+<!ENTITY pip-md5 "ffb2a7aa43004601409b3318777b75a8">
+<!ENTITY pip-home "https://pypi.org/project/pip/">
+<!ENTITY pip-fin-du "1.0 MB">
+<!ENTITY pip-fin-sbu "0.1 SBU">
+
 <!ENTITY pkgconfig-version "0.29.2">
 <!ENTITY pkgconfig-size "1,970 KB">
 <!ENTITY pkgconfig-url "https://pkg-config.freedesktop.org/releases/pkg-config-&pkgconfig-version;.tar.gz">
@@ -588,6 +848,14 @@
 <!ENTITY psmisc-fin-du "5.6 MB">
 <!ENTITY psmisc-fin-sbu "less than 0.1 SBU">
 
+<!ENTITY pth-version "2.0.7">
+<!ENTITY pth-size "652 KB">
+<!ENTITY pth-url "https://ftp.gnu.org/gnu/pth/pth-&pth-version;.tar.gz">
+<!ENTITY pth-md5 "9cb4a25331a4c4db866a31cbe507c793">
+<!ENTITY pth-home "https://www.gnu.org/pth/">
+<!ENTITY pth-fin-du "5 MB">
+<!ENTITY pth-fin-sbu "0.2 SBU">
+
 <!-- If python minor version changes, updates in python and
      meson pages will be needed: python3.6 and python3.6m -->
 
@@ -614,6 +882,17 @@
 <!ENTITY readline-fin-du "15 MB">
 <!ENTITY readline-fin-sbu "0.1 SBU">
 
+<!ENTITY rootfs-fin-du "4.8 MB">
+<!ENTITY rootfs-fin-sbu "less than 0.1 SBU">
+
+<!ENTITY rpcsvc-proto-version "1.4.3">
+<!ENTITY rpcsvc-proto-size "168 KB">
+<!ENTITY rpcsvc-proto-url "https://github.com/thkukuk/rpcsvc-proto/releases/download/v&rpcsvc-proto-version;/rpcsvc-proto-&rpcsvc-proto-version;.tar.xz">
+<!ENTITY rpcsvc-proto-md5 "5cc9a871db85e34ab68a9cecfb448a97">
+<!ENTITY rpcsvc-proto-home "https://github.com/thkukuk/rpcsvc-proto/">
+<!ENTITY rpcsvc-proto-fin-du "2.1 MB">
+<!ENTITY rpcsvc-proto-fin-sbu "less than 0.1 SBU">
+
 <!ENTITY sed-version "4.8">
 <!ENTITY sed-size "1,317 KB">
 <!ENTITY sed-url "&gnu;sed/sed-&sed-version;.tar.xz">
@@ -624,6 +903,22 @@
 <!ENTITY sed-fin-du "31 MB">
 <!ENTITY sed-fin-sbu "0.4 SBU">
 
+<!ENTITY setuptools-version "58.1.0">
+<!ENTITY setuptools-size "2,088 KB">
+<!ENTITY setuptools-url "https://files.pythonhosted.org/packages/59/b8/adeb445fa6c636f78c532f0dd6f847f0f90e709afa7d41396181d438be5a/setuptools-58.1.0.tar.gz">
+<!ENTITY setuptools-md5 "06125126e97d8233ba33da88c18832af">
+<!ENTITY setuptools-home "https://pypi.org/project/setuptools/">
+<!ENTITY setuptools-fin-du "1.0 MB">
+<!ENTITY setuptools-fin-sbu "0.1 SBU">
+
+<!ENTITY sgml-common-version "0.6.3">
+<!ENTITY sgml-common-size "75 KB">
+<!ENTITY sgml-common-url "https://sourceware.org/ftp/docbook-tools/new-trials/SOURCES/sgml-common-&sgml-common-version;.tgz">
+<!ENTITY sgml-common-md5 "103c9828f24820df86e55e7862e28974">
+<!ENTITY sgml-common-home "https:///sourceware.org/">
+<!ENTITY sgml-common-fin-du "1.5 MB">
+<!ENTITY sgml-common-fin-sbu "0.1 SBU">
+
 <!ENTITY shadow-version "4.11.1">
 <!ENTITY shadow-size "1,618 KB">
 <!ENTITY shadow-url "&github;/shadow-maint/shadow/releases/download/v&shadow-version;/shadow-&shadow-version;.tar.xz">
@@ -632,6 +927,19 @@
 <!ENTITY shadow-fin-du "49 MB">
 <!ENTITY shadow-fin-sbu "0.2 SBU">
 
+<!ENTITY sqlite-version "3.38.5">
+<!ENTITY sqlite-size "2,867 KB">
+<!ENTITY sqlite-url "https://sqlite.org/2022/sqlite-autoconf-&sqlite-doc-version;.tar.gz">
+<!ENTITY sqlite-md5 "d7d14ef5e1cf2ce974bdd62a9cee347f">
+<!ENTITY sqlite-home "https://sqlite.org/">
+<!ENTITY sqlite-fin-du "122 MB">
+<!ENTITY sqlite-fin-sbu "0.4 SBU">
+
+<!ENTITY sqlite-doc-version "3380500">
+<!ENTITY sqlite-doc-size "10 MB">
+<!ENTITY sqlite-doc-url "https://sqlite.org/2022/sqlite-doc-&sqlite-doc-version;.zip">
+<!ENTITY sqlite-doc-md5 "166ae80c1aa8d98b71c1b23f98c63b75">
+
 <!ENTITY sysklogd-version "1.5.1">
 <!ENTITY sysklogd-size "88 KB">
 <!ENTITY sysklogd-url "https://www.infodrom.org/projects/sysklogd/download/sysklogd-&sysklogd-version;.tar.gz">
@@ -702,6 +1010,8 @@
 <!ENTITY tzdata-url "https://www.iana.org/time-zones/repository/releases/tzdata&tzdata-version;.tar.gz">
 <!ENTITY tzdata-md5 "081662184f3b902f8e5d96816568432e">
 <!ENTITY tzdata-home "https://www.iana.org/time-zones">
+<!ENTITY tzdata-fin-du "4.9 MB">
+<!ENTITY tzdata-fin-sbu "less than 0.1 SBU">
 
 <!ENTITY udev-lfs-version "udev-lfs-20171102">
 <!ENTITY udev-lfs-size    "11 KB">
@@ -709,6 +1019,14 @@
 <!ENTITY udev-lfs-md5     "27cd82f9a61422e186b9d6759ddf1634">
 <!ENTITY udev-lfs-home    " ">
 
+<!ENTITY unzip-version "6.0">
+<!ENTITY unzip-size "1,331 KB">
+<!ENTITY unzip-url "https://downloads.sourceforge.net/infozip/unzip60.tar.gz">
+<!ENTITY unzip-md5 "62b490407489521db863b523a7f86375">
+<!ENTITY unzip-home "https://www.info-zip.org/">
+<!ENTITY unzip-fin-du "9 MB">
+<!ENTITY unzip-fin-sbu "0.1 SBU">
+
 <!ENTITY util-linux-minor "2.38">
 <!ENTITY util-linux-version "2.38"> <!-- 2.33.x -->
 <!ENTITY util-linux-size "7,177 KB">
diff -Naurp LFS_orig/patches.ent LFS-pacman/patches.ent
--- LFS_orig/patches.ent	2022-06-16 20:04:57.581188487 -0500
+++ LFS-pacman/patches.ent	2022-06-16 20:05:13.914522426 -0500
@@ -23,11 +23,20 @@
 <!ENTITY coreutils-i18n-patch "coreutils-&coreutils-version;-i18n-1.patch">
 <!ENTITY coreutils-i18n-patch-md5 "c1ac7edf095027460716577633da9fc5">
 <!ENTITY coreutils-i18n-patch-size "166 KB">
+
+<!ENTITY coreutils-uname-patch "coreutils-&coreutils-version;-uname-1.patch">
+<!ENTITY coreutils-uname-patch-md5 "34fbf481e0e76cb94ed32442bdb4d928">
+<!ENTITY coreutils-uname-patch-size "4.7 KB">
 <!--
 <!ENTITY coreutils-chmod-patch "coreutils-&coreutils-version;-chmod_fix-1.patch">
 <!ENTITY coreutils-chmod-patch-md5 "4709df88e68279e6ef357aa819ba5b1a">
 <!ENTITY coreutils-chmod-patch-size "3.8 KB">
 -->
+
+<!ENTITY docbook-xsl-stack-fix-patch "docbook-xsl-nons-&docbook-xsl-version;-stack_fix-1.patch">
+<!ENTITY docbook-xsl-stack-fix-patch-md5 "8457bd6ee6b06fbc6dc540e1b096f766">
+<!ENTITY docbook-xsl-stack-fix-patch-size "1.7 KB">
+
 <!--
 <!ENTITY flex-fixes-patch "flex-&flex-version;-upstream_fixes-3.patch">
 <!ENTITY flex-fixes-patch-md5 "b46f6b0380e502a3dfb8b503227cd680">
@@ -71,11 +80,21 @@
 <!ENTITY ninja-limit-jobs-patch-md5 "f537a633532492e805aa342fa869ca45">
 <!ENTITY ninja-limit-jobs-patch-size "2.5 KB">
 -->
+
+<!ENTITY pacman-fixes-patch "pacman-&pacman-version;-fixes-4.patch">
+<!ENTITY pacman-fixes-patch-md5 "021d9b8a5211bd8171efb78e194463c6">
+<!ENTITY pacman-fixes-patch-size "8 KB">
+
 <!--
 <!ENTITY perl-fix-patch "perl-&perl-version;-upstream_fixes-1.patch">
 <!ENTITY perl-fix-patch-md5 "fb42558b59ed95ee00eb9f1c1c9b8056">
 <!ENTITY perl-fix-patch-size "1.6 KB">
 -->
+
+<!ENTITY sgml-common-manpage-patch "sgml-common-&sgml-common-version;-manpage-1.patch">
+<!ENTITY sgml-common-manpage-patch-md5 "645f3c898abd270a9143036824ae121a">
+<!ENTITY sgml-common-manpage-patch-size "0.6 KB">
+
 <!--
 <!ENTITY shadow-segfault-patch "shadow-&shadow-version;-useradd_segfault-1.patch">
 <!ENTITY shadow-segfault-patch-md5 "66b299c0c9ac66fdb7c91b40df5984c0">
@@ -93,6 +112,10 @@
 <!ENTITY systemd-kernel-fixes-patch-md5 "34cee987b35d5d522fd3317e08057c1d">
 <!ENTITY systemd-kernel-fixes-patch-size "2.7 KB">
 
+<!ENTITY unzip-consolidated-patch "unzip-&unzip-version;-consolidated_fixes-1.patch">
+<!ENTITY unzip-consolidated-patch-md5 "14c119ef7019f769497363e5cec306e0">
+<!ENTITY unzip-consolidated-patch-size "600 KB">
+
 <!ENTITY xz-upstream-fix-patch "xz-&xz-version;-upstream_fix-1.patch">
 <!ENTITY xz-upstream-fix-patch-md5 "584c72ea3d8f7502b2770670f3090788">
 <!ENTITY xz-upstream-fix-patch-size "3.7 KB">
diff -Naurp LFS_orig/version.ent LFS-pacman/version.ent
--- LFS_orig/version.ent	1969-12-31 18:00:00.000000000 -0600
+++ LFS-pacman/version.ent	2022-06-16 20:05:13.891189091 -0500
@@ -0,0 +1,8 @@
+<![ %sysv; [
+<!ENTITY version           "r11.1-118+">
+]]>
+<![ %systemd; [
+<!ENTITY version          "r11.1-118-systemd+">
+]]>
+<!ENTITY releasedate       "May 15th, 2022">
+<!ENTITY copyrightdate     "1999-2022">
